<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>strnatcmp</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Vergleicht Zeichenketten nach einer nat&uuml;rlichen Ordnung">
<meta name="keywords"       content="SELFPHP, PHP, String-Funktionen, strnatcmp">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-24T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/string_funktionen/strnatcmp.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-24T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // String-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>String-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>strnatcmp</h2>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=2 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>

<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>

<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">int <b>strnatcmp</b>(string str1, string 
      str2)</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20">PHP 4 &gt;= 4.0RC2</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="217">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <p>Mit strnatcmp() kann man Zeichenketten (str1 und str2) nach einer nat&uuml;rlichen<br>
        Sortierreihenfolge vergleichen (d.h. so, wie ein Mensch sortieren w&uuml;rde). 
        Bei der<br>
        nat&uuml;rlichen Sortierreihenfolge wird nicht unbedingt jedes Zeichen 
        verglichen, so<br>
        wie das der Computer bei einem String-Vergleich macht. So ist bei einem<br>
        Vergleich die Zahl 10 &quot;kleiner&quot; als die Zahl 2, da jedes Zeichen 
        miteinander<br>
        verglichen wird und die ersten Zeichen nun mal die 1 und die 2 sind, wobei 
        die<br>
        Zahl 1 kleiner als 2 ist.<br>
        Bei den Vergleichen wird zwischen Gro&szlig;- und Kleinschreibung unterschieden.</p>
      <p>Folgende Werte werden zur&uuml;ckgegeben:<br>
        &lt; 0 - str1 ist kleiner als str2<br>
        = 0 - str1 ist gleich str2<br>
        &gt; 0 - str1 ist gr&ouml;&szlig;er als str2</p>
      <p>Siehe auch:</p>
      <ul>
        <li><a href="../regulaere_ausdruecke_posix/ereg.html">ereg()</a></li>
        <li><a href="strcasecmp.html">strcasecmp()</a></li>
        <li><a href="substr.html">substr()</a></li>
        <li><a href="stristr.html">stristr()</a></li>
        <li><a href="strcmp.html">strcmp()</a></li>
        <li><a href="strncmp.html">strncmp()</a></li>
        <li><a href="strnatcasecmp.html">strnatcasecmp()</a></li>
        <li><a href="strstr.html">strstr()</a><br>
        </li>
      </ul>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>$array = array(&quot;Zahl 1&quot;,<br>               &quot;Zahl 3&quot;,<br>               &quot;ZAhl 10&quot;,<br>               &quot;Zahl 20&quot;);<br>$var_1 = 2;<br>$var_2 = 10;	       <br>$array_1 = $array;<br>usort($array,&quot;strcmp&quot;);<br>echo &quot;Normale Sortierung / Array:&lt;br&gt;&quot;;<br>for($x=0;$x&lt;count($array);$x++){<br>  echo $array[$x]; <br>  echo &quot;&lt;br&gt;&quot;;<br>}<br>usort($array,&quot;strnatcmp&quot;);	       <br>echo &quot;&lt;br&gt;Nat&uuml;rliche Sortierung / Array:&lt;br&gt;&quot;;<br>for($x=0;$x&lt;count($array_1);$x++){<br>  echo $array_1[$x]; <br>  echo &quot;&lt;br&gt;&quot;;<br>}  </pre>
      <pre>$wert = strnatcmp($var_1,$var_2); 
echo &quot;&lt;br&gt;Nat&uuml;rliche Sortierung / Variable:&lt;br&gt;&quot;;
if ($wert &lt; 0)
  echo &quot;&lt;b&gt;$var_1&lt;/b&gt; ist kleiner als &lt;b&gt;$var_2&lt;/b&gt;&quot;;          
elseif ($wert == 0) 
  echo &quot;&lt;b&gt;$var_1&lt;/b&gt; ist gleich &lt;b&gt;$var_2&lt;/b&gt;&quot;;          
elseif ($wert &gt; 0) 
  echo&quot;&lt;b&gt;$var_1&lt;/b&gt; ist gr&ouml;&szlig;er als &lt;b&gt;$var_2&lt;/b&gt;&quot;;
?&gt;</pre>
      </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="45">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Normale Sortierung / Array:<br>
        ZAhl 10<br>
        Zahl 1<br>
        Zahl 20<br>
        Zahl 3</p>
      <p>Nat&uuml;rliche Sortierung / Array:<br>
        Zahl 1<br>
        Zahl 3<br>
        ZAhl 10<br>
        Zahl 20</p>
      <p>Nat&uuml;rliche Sortierung / Variable:<br>
        2 ist kleiner als 10</p>
      <p></p>
    </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="strncmp.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="strncmp.html"><b>strncmp</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="strnatcasecmp.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="strnatcasecmp.html"><b>strnatcasecmp</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>String-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>